Bug 738012 - RFE: create profiles from gamma settings
Summary: RFE: create profiles from gamma settings
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: colord
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 15:59 UTC by Bill Nottingham
Modified: 2014-03-17 03:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 01:15:59 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2011-09-13 15:59:44 UTC
Description of problem:

xorg.conf has a Gamma setting:

       Gamma  gamma-value

       Gamma  red-gamma green-gamma blue-gamma
              This is an optional entry that can be used to specify the  gamma
              correction  for  the  monitor.   It may be specified as either a
              single value or as three separate RGB values.  The values should
              be  in  the  range 0.1 to 10.0, and the default is 1.0.  Not all
              drivers are capable of using this information.

Since you can use this to adjust r/g/b levels separately, it might be nice to be able to create ICC profiles based on this.

Version-Release number of selected component (if applicable):

colord-0.1.12-1.fc16.x86_64

How reproducible:

RFE

Comment 1 Richard Hughes 2011-09-13 19:01:33 UTC
commit 353cf1bf9210da6b28d2ac94631d10ca28557502
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Sep 13 17:38:56 2011 +0100

    Add --xorg-gamma to cd-create-profile to create custom gamma ramps
    
    This allows power users to create a custom gamma curve using the same values
    and in the same format that was set in xorg.conf.
    
    This of course isn't profiling the screen, but it allows people to use a simple
    color profile when they just want to use a fixed gamma scaling factor.

:100644 100644 ce60d93... 462c739... M  client/cd-create-profile.c
:100644 100644 6573e52... d36f1b5... M  data/Makefile.am

Grab http://people.freedesktop.org/~hughsient/temp/notting-80-80-60.icc is you don't feel like building from git master.

Comment 2 Bill Nottingham 2011-09-13 22:27:43 UTC
I tested this icc file... it's different in appearance to what I was getting from X.org.

Sep 13 14:12:13 <notting>       airlied: i described gamma 0.8 to hughsie as 'set red/green/blue
 channel to 80%'... is that not accurate?
Sep 13 14:15:51 <mclasen>       gamma is a bit different from just a percentage
Sep 13 14:22:07 <notting>       mclasen: it's not linear?
Sep 13 14:22:44 <mclasen>       no
Sep 13 14:23:07 <mclasen>       http://en.wikipedia.org/wiki/Gamma_correction
Sep 13 14:28:20 <notting>       mclasen: ok, will talk to hughsie again tomorrow

Comment 3 Richard Hughes 2011-09-14 08:19:53 UTC
(In reply to comment #2)
> Sep 13 14:12:13 <notting>       airlied: i described gamma 0.8 to hughsie as
> 'set red/green/blue
>  channel to 80%'... is that not accurate?
> Sep 13 14:15:51 <mclasen>       gamma is a bit different from just a percentage

I did think it odd that the gamma wasn't a log function, but I implemented your spec to the letter :-)

I've switched the creator to use a standard gamma calculation, which I think gives you what you want. Can you try http://people.freedesktop.org/~hughsient/temp/notting-80-80-60-gamma.icc please, and tell me if this looks the same as it does from X.org.

Thanks,

Richard.

Comment 4 Bill Nottingham 2011-09-14 13:52:56 UTC
No, it doesn't. What happens is that the cd-created profile is more 'washed out' than the X one.

Comment 5 Richard Hughes 2011-09-14 14:52:55 UTC
Can you pinpoint where in X that gamma string is read, and how the gamma tables are constructed? I'm going to have to work out how X makes the gamma data from a single value if it's not a simple power log. Thanks.

Comment 6 Bill Nottingham 2011-09-14 17:47:19 UTC
I'll attempt to dig it up, in the meantime, cc'ing people who may know off the top of their head.

Comment 7 Richard Hughes 2011-11-15 12:11:57 UTC
Ping? Got a link to that info?

Comment 8 Bill Nottingham 2011-12-06 16:28:04 UTC
Not yet, probably need to track down ajax or someone similar.

Comment 9 Fedora End Of Life 2013-01-16 22:43:33 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Fedora End Of Life 2013-02-14 01:16:03 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.